Package org.apache.nutch.crawl

## Class Signature

- java.lang.Object
- - org.apache.nutch.crawl.Signature

- All Implemented Interfaces:
    `Configurable`
  Direct Known Subclasses:
    `MD5Signature`, `TextMD5Signature`, `TextProfileSignature`

      public abstract class Signature
      extends Object
      implements Configurable

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Configuration` | `conf` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Signature()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract byte[]` | `calculate​(Content content, Parse parse)` |
    `Configuration` | `getConf()` |
    `void` | `setConf​(Configuration conf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### conf

          protected Configuration conf

  - ### Constructor Detail

    - #### Signature

          public Signature()

  - ### Method Detail

    - #### calculate

          public abstract byte[] calculate​(Content content,
                                           Parse parse)

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

    - #### setConf

          public void setConf​(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`